/*
 * subarch specific definitions
 */

#ifndef SUBARCH_H
#define SUBARCH_H

#define PAGE_SIZE	4096
#define STACK_PAGES	16

/*
 *  Reserve this memory for loading kernel
 *  Don't put loader structures there because they would be overwritten
 *
 *  We put the loader right after the kernel so you won't have the
 *  full reserved space since the prom puts the stack right below
 *  the loader.
 */
#if 0
struct kernel_load_block {
	uint32_t base;
	uint32_t reserved;
};
#endif

extern char* env_vars[];

#define NENTS(foo) ((sizeof((foo)) / (sizeof((foo[0])))))
#define KSEG0ADDR(addr)	(((addr) & 0x1fffffff) | 0x80000000)
#define KSEG1ADDR(addr)	(((addr) & 0x1fffffff) | 0xa0000000)

#endif
